Skip to content

StmtMessages⁠

Perform various operations for Symitar parameters.

Operations⁠

getStmtMessagesSelectFields⁠

POST

Execute the persistent ParameterService getStmtMessagesSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

StmtMessagesStatementMessageCodeintegeroptional
Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getStmtMessagesSelectFields
POST /nexum/627/persistent/parameter/getStmtMessagesSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "StmtMessagesStatementMessageCode": 0,
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "SelectableFields": {
    "IncludeAllStmtMessagesFields": true,
    "StmtMessagesFields": {
      "DefinedCode": true,
      "Description": true,
      "Line1": true,
      "Line10": true,
      "Line11": true,
      "Line12": true,
      "Line2": true,
      "Line3": true,
      "Line4": true,
      "Line5": true,
      "Line6": true,
      "Line7": true,
      "Line8": true,
      "Line9": true,
      "StatementMessageCode": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getStmtMessagesPagedListSelectFields⁠

POST

Execute the persistent ParameterService getStmtMessagesPagedListSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getStmtMessagesPagedListSelectFields
POST /nexum/627/persistent/parameter/getStmtMessagesPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllStmtMessagesFields": true,
    "StmtMessagesFields": {
      "DefinedCode": true,
      "Description": true,
      "Line1": true,
      "Line10": true,
      "Line11": true,
      "Line12": true,
      "Line2": true,
      "Line3": true,
      "Line4": true,
      "Line5": true,
      "Line6": true,
      "Line7": true,
      "Line8": true,
      "Line9": true,
      "StatementMessageCode": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchStmtMessagesPagedSelectFields⁠

POST

Execute the persistent ParameterService searchStmtMessagesPagedSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/searchStmtMessagesPagedSelectFields
POST /nexum/627/persistent/parameter/searchStmtMessagesPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllStmtMessagesFields": true,
    "StmtMessagesFields": {
      "DefinedCode": true,
      "Description": true,
      "Line1": true,
      "Line10": true,
      "Line11": true,
      "Line12": true,
      "Line2": true,
      "Line3": true,
      "Line4": true,
      "Line5": true,
      "Line6": true,
      "Line7": true,
      "Line8": true,
      "Line9": true,
      "StatementMessageCode": true
    }
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

updateStmtMessagesByID⁠

POST

Execute the persistent ParameterService updateStmtMessagesByID operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

StmtMessagesStatementMessageCodeintegeroptional
Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/updateStmtMessagesByID
POST /nexum/627/persistent/parameter/updateStmtMessagesByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "StmtMessagesStatementMessageCode": 0,
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "StmtMessagesFields": {
    "DefinedCode": 0,
    "Description": "string",
    "Line1": "string",
    "Line10": "string",
    "Line11": "string",
    "Line12": "string",
    "Line2": "string",
    "Line3": "string",
    "Line4": "string",
    "Line5": "string",
    "Line6": "string",
    "Line7": "string",
    "Line8": "string",
    "Line9": "string",
    "StatementMessageCode": 0
  },
  "nxAttributes": {
    "customFields": {}
  }
}